summaryrefslogtreecommitdiffstats
path: root/network/bip
diff options
context:
space:
mode:
author Chess Griffin2010-05-12 17:43:02 +0200
committer David Somero2010-05-12 17:43:02 +0200
commit8e2e15ee535715cc7f14c001cfd66345f79e8279 (patch)
treee091b13ea1c78a18675c3dff7418ffce4b05a2eb /network/bip
parent3a553ef89e59d5a50eb2dce7c624713a3cc8ef9f (diff)
downloadslackbuilds-8e2e15ee535715cc7f14c001cfd66345f79e8279.tar.gz
network/bip: Updated for version 0.8.0
Diffstat (limited to 'network/bip')
-rw-r--r--network/bip/bip.SlackBuild34
-rw-r--r--network/bip/bip.info6
2 files changed, 32 insertions, 8 deletions
diff --git a/network/bip/bip.SlackBuild b/network/bip/bip.SlackBuild
index 02904e9773..d3108d9153 100644
--- a/network/bip/bip.SlackBuild
+++ b/network/bip/bip.SlackBuild
@@ -2,12 +2,30 @@
# Slackware build script for Bip
-# Written by Chess Griffin <chess@chessgriffin.com>
+# Copyright 2007-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=bip
-VERSION=0.7.5
+VERSION=0.8.0
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -19,10 +37,13 @@ DOCS="AUTHORS BUGS COPYING ChangeLog NEWS README TODO scripts/bip-release script
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -44,6 +65,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -54,8 +76,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/man/man1
diff --git a/network/bip/bip.info b/network/bip/bip.info
index 134cfad8fc..9817e189d7 100644
--- a/network/bip/bip.info
+++ b/network/bip/bip.info
@@ -1,8 +1,8 @@
PRGNAM="bip"
-VERSION="0.7.5"
+VERSION="0.8.0"
HOMEPAGE="http://bip.t1r.net"
-DOWNLOAD="http://bip.t1r.net/downloads/bip-0.7.5.tar.gz"
-MD5SUM="8c6606be672a7d3ea81caf355b2a8cb0"
+DOWNLOAD="http://bip.t1r.net/downloads/bip-0.8.0.tar.gz"
+MD5SUM="ee036d96fec6222de5a8449e013552da"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
APPROVED="dsomero"